﻿Imports System.Web.Mvc

Namespace Controllers
    Public Class HomeController
        Inherits Controller

        ' GET: Home
        Function Index() As ActionResult
            Return View()
        End Function

        Public Function GetProdutos() As JsonResult
            Using ctx As New CadastroEntities()
                Try
                    Dim produtos = ctx.Produtos.ToList()
                    Return Json(produtos, JsonRequestBehavior.AllowGet)
                Catch ex As Exception
                    Throw ex
                End Try
            End Using
        End Function

        <HttpPost>
        Public Function IncluirProduto(novoProduto As Produto) As JsonResult
            Using ctx As New CadastroEntities()
                Try
                    ctx.Produtos.Add(New Produto() With {
                        .ProdutoNome = novoProduto.ProdutoNome,
                        .ProdutoPreco = novoProduto.ProdutoPreco
                    })
                    ctx.SaveChanges()
                    Dim produtos = ctx.Produtos.ToList()
                    Return Json(produtos, JsonRequestBehavior.AllowGet)
                Catch ex As Exception
                    Throw ex
                End Try
            End Using
        End Function

        <HttpPost>
        Public Function ExcluirProduto(delProduto As Produto) As JsonResult
            Using ctx As New CadastroEntities()
                Try
                    Dim _produto = ctx.Produtos.Find(delProduto.Id)
                    ctx.Produtos.Remove(_produto)
                    ctx.SaveChanges()
                    Dim produtos = ctx.Produtos.ToList()
                    Return Json(produtos, JsonRequestBehavior.AllowGet)
                Catch ex As Exception
                    Throw ex
                End Try
            End Using
        End Function

    End Class
End Namespace